let { globalData: { util: { navigate_auth_native } } } = getApp();
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: Object,
    title: String
  },

  /**
   * 组件的初始数据
   */
  data: {

  },
  ready() {
    let img, { reservationState } = this.data.item;
    switch (reservationState) {
      case '1':
        img = 'reservation_green'
        break
      case '2':
        img = 'reservation_blue'
        break
      case '3':
        img = 'reservation_red'
        break
      case '4':
        img = 'reservation_yellow'
        break
    }
    this.setData({
      img
    })
  },
  /**
   * 组件的方法列表
   */
  methods: {
    navigate_auth_native
  }
})
